com.impinj.stp

## Interface StpApi.OperationResponsibilityOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.OperationResponsibility, StpApi.OperationResponsibility.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.OperationResponsibilityOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAccessPassword()` Encode or verify configured 32-bit Access password
    `boolean` | `getBlockpermalockConfig()` Set or verify (read reserved memory) BlockPermalock config
    `StpApi.STPDevice` | `getDeviceOfRecord()` Downstream STP device that allows non Monza encoding
    `StpApi.STPDeviceOrBuilder` | `getDeviceOfRecordOrBuilder()` Downstream STP device that allows non Monza encoding
    `StpApi.STPDevice` | `getDownstreamPipelineDevices(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `int` | `getDownstreamPipelineDevicesCount()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `java.util.List<StpApi.STPDevice>` | `getDownstreamPipelineDevicesList()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.STPDeviceOrBuilder` | `getDownstreamPipelineDevicesOrBuilder(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `java.util.List<? extends StpApi.STPDeviceOrBuilder>` | `getDownstreamPipelineDevicesOrBuilderList()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `com.google.protobuf.ByteString` | `getEPCMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
    `boolean` | `getEPCMemoryPcWord()` Encode or verify configured PC Word
    `boolean` | `getKillPassword()` Encode or verify configured 32-bit Kill password
    `boolean` | `getKillTag()` optional bool monza_QT = 9 [default = true];
    `boolean` | `getLockConfig()` Set or verify (read reserved memory) Lock config
    `boolean` | `getSecurePassword()` If true, use the secured password to move tag to secure state on this device.
    `int` | `getTagsInPipelineViewCount()` The approximate number of total tags expected in the STP pipeline.
    `int` | `getTagsInViewCount()` The approximate number of tags in the field of view.
    `boolean` | `getTagSpecificFeatureConfig()` Tag specific feature configuration for Monza 6 (and possibly) later tags
    `boolean` | `getTIDConfigWord()` Write TID config word
    `com.google.protobuf.ByteString` | `getUserMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
    `StpApi.VoidTagResponsibility` | `getVoidTagResponsibility()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.VoidTagResponsibilityOrBuilder` | `getVoidTagResponsibilityOrBuilder()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `int` | `getVoyanticTagsuranceTestResultsCacheSize()` The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device.
    `boolean` | `hasAccessPassword()` Encode or verify configured 32-bit Access password
    `boolean` | `hasBlockpermalockConfig()` Set or verify (read reserved memory) BlockPermalock config
    `boolean` | `hasDeviceOfRecord()` Downstream STP device that allows non Monza encoding
    `boolean` | `hasEPCMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
    `boolean` | `hasEPCMemoryPcWord()` Encode or verify configured PC Word
    `boolean` | `hasKillPassword()` Encode or verify configured 32-bit Kill password
    `boolean` | `hasKillTag()` optional bool monza_QT = 9 [default = true];
    `boolean` | `hasLockConfig()` Set or verify (read reserved memory) Lock config
    `boolean` | `hasSecurePassword()` If true, use the secured password to move tag to secure state on this device.
    `boolean` | `hasTagsInPipelineViewCount()` The approximate number of total tags expected in the STP pipeline.
    `boolean` | `hasTagsInViewCount()` The approximate number of tags in the field of view.
    `boolean` | `hasTagSpecificFeatureConfig()` Tag specific feature configuration for Monza 6 (and possibly) later tags
    `boolean` | `hasTIDConfigWord()` Write TID config word
    `boolean` | `hasUserMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
    `boolean` | `hasVoidTagResponsibility()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `boolean` | `hasVoyanticTagsuranceTestResultsCacheSize()` The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasEPCMemoryMask

          boolean hasEPCMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).

    - #### getEPCMemoryMask

          com.google.protobuf.ByteString getEPCMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).

    - #### hasEPCMemoryPcWord

          boolean hasEPCMemoryPcWord()

      Encode or verify configured PC Word

    - #### getEPCMemoryPcWord

          boolean getEPCMemoryPcWord()

      Encode or verify configured PC Word

    - #### hasTIDConfigWord

          boolean hasTIDConfigWord()

      Write TID config word

    - #### getTIDConfigWord

          boolean getTIDConfigWord()

      Write TID config word

    - #### hasUserMemoryMask

          boolean hasUserMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)

    - #### getUserMemoryMask

          com.google.protobuf.ByteString getUserMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)

    - #### hasSecurePassword

          boolean hasSecurePassword()

      If true, use the secured password to move tag to secure state on this device.

    - #### getSecurePassword

          boolean getSecurePassword()

      If true, use the secured password to move tag to secure state on this device.

    - #### hasAccessPassword

          boolean hasAccessPassword()

      Encode or verify configured 32-bit Access password

    - #### getAccessPassword

          boolean getAccessPassword()

      Encode or verify configured 32-bit Access password

    - #### hasKillPassword

          boolean hasKillPassword()

      Encode or verify configured 32-bit Kill password

    - #### getKillPassword

          boolean getKillPassword()

      Encode or verify configured 32-bit Kill password

    - #### hasLockConfig

          boolean hasLockConfig()

      Set or verify (read reserved memory) Lock config

    - #### getLockConfig

          boolean getLockConfig()

      Set or verify (read reserved memory) Lock config

    - #### hasBlockpermalockConfig

          boolean hasBlockpermalockConfig()

      Set or verify (read reserved memory) BlockPermalock config

    - #### getBlockpermalockConfig

          boolean getBlockpermalockConfig()

      Set or verify (read reserved memory) BlockPermalock config

    - #### hasKillTag

          boolean hasKillTag()

      optional bool monza_QT = 9 [default = true];

    - #### getKillTag

          boolean getKillTag()

      optional bool monza_QT = 9 [default = true];

    - #### hasTagSpecificFeatureConfig

          boolean hasTagSpecificFeatureConfig()

      Tag specific feature configuration for Monza 6 (and possibly) later tags

    - #### getTagSpecificFeatureConfig

          boolean getTagSpecificFeatureConfig()

      Tag specific feature configuration for Monza 6 (and possibly) later tags

    - #### hasTagsInViewCount

          boolean hasTagsInViewCount()

      The approximate number of tags in the field of view. This parameter is only valid In continuous mode; a report will be sent when a tag is removed from a list of this size. A larger number will delay reports, but allow retries if a tag remains in view.

    - #### getTagsInViewCount

          int getTagsInViewCount()

      The approximate number of tags in the field of view. This parameter is only valid In continuous mode; a report will be sent when a tag is removed from a list of this size. A larger number will delay reports, but allow retries if a tag remains in view.

    - #### hasTagsInPipelineViewCount

          boolean hasTagsInPipelineViewCount()

      The approximate number of total tags expected in the STP pipeline. This parameter is only significant in systems that have multiple devices working together to pipeline the encoding process, the value should be set to exceed the total number of tags between the first and last STP devices. By default this is set to 0 (disabling the feature).

    - #### getTagsInPipelineViewCount

          int getTagsInPipelineViewCount()

      The approximate number of total tags expected in the STP pipeline. This parameter is only significant in systems that have multiple devices working together to pipeline the encoding process, the value should be set to exceed the total number of tags between the first and last STP devices. By default this is set to 0 (disabling the feature).

    - #### getDownstreamPipelineDevicesList

          java.util.List<StpApi.STPDevice> getDownstreamPipelineDevicesList()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevices

          StpApi.STPDevice getDownstreamPipelineDevices(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevicesCount

          int getDownstreamPipelineDevicesCount()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevicesOrBuilderList

          java.util.List<? extends StpApi.STPDeviceOrBuilder> getDownstreamPipelineDevicesOrBuilderList()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevicesOrBuilder

          StpApi.STPDeviceOrBuilder getDownstreamPipelineDevicesOrBuilder(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### hasDeviceOfRecord

          boolean hasDeviceOfRecord()

      Downstream STP device that allows non Monza encoding

    - #### getDeviceOfRecord

          StpApi.STPDevice getDeviceOfRecord()

      Downstream STP device that allows non Monza encoding

    - #### getDeviceOfRecordOrBuilder

          StpApi.STPDeviceOrBuilder getDeviceOfRecordOrBuilder()

      Downstream STP device that allows non Monza encoding

    - #### hasVoyanticTagsuranceTestResultsCacheSize

          boolean hasVoyanticTagsuranceTestResultsCacheSize()

      The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device. Setting this to 0 disables the listening feature. Setting this to any other value indicates that this ItemEncode device should expect rf performance reports for every tag it sees

    - #### getVoyanticTagsuranceTestResultsCacheSize

          int getVoyanticTagsuranceTestResultsCacheSize()

      The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device. Setting this to 0 disables the listening feature. Setting this to any other value indicates that this ItemEncode device should expect rf performance reports for every tag it sees

    - #### hasVoidTagResponsibility

          boolean hasVoidTagResponsibility()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### getVoidTagResponsibility

          StpApi.VoidTagResponsibility getVoidTagResponsibility()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### getVoidTagResponsibilityOrBuilder

          StpApi.VoidTagResponsibilityOrBuilder getVoidTagResponsibilityOrBuilder()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device